Bug 518275 - RFE: [LTC 6.0 FEAT] libvirt control of ksm [202017]
Summary: RFE: [LTC 6.0 FEAT] libvirt control of ksm [202017]
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt
Version: 6.0
Hardware: All
OS: All
high
high
Target Milestone: beta
: 6.1
Assignee: Daniel Veillard
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 538808 580566
TreeView+ depends on / blocked
 
Reported: 2009-08-19 17:21 UTC by IBM Bug Proxy
Modified: 2011-03-04 15:32 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-27 16:55:51 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
IBM Linux Technology Center 55546 None None None Never

Description IBM Bug Proxy 2009-08-19 17:21:09 UTC
=Comment: #0=================================================
Emily J. Ratliff <ratliff@austin.ibm.com> - 
1. Feature Overview:
Feature Id:	[202017]
a. Name of Feature:	libvirt control of ksm
b. Feature Description
Add support to libvirt to control and query ksm levels on the host

2. Feature Details:
Sponsor:	LTC
Architectures:
x86
x86_64

Arch Specificity: Both
Delivery Mechanism: Direct from community
Category:	Xen
Request Type:	Package - Feature from Upstream
d. Upstream Acceptance:	In Progress
Sponsor Priority	2
f. Severity: Medium
IBM Confidential:	no
Code Contribution:	3rd party code
g. Component Version Target:	latest version of libvirt

3. Business Case
KSM is an important memory compression technology for KVM that provides for greater VM density on a
given KVM host.  Extending control of KSM to libvirt provies management applications the ability to
control KSM as needed, adjusting to customer workload demands.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Stephanie Glass, sglass@us.ibm.com, 512-838-9284

Technical contact(s):
Ryan Harper, raharper@us.ibm.com

IBM Manager:
Warren Grunbok II, grunbok@us.ibm.com

Comment 2 Daniel Berrangé 2009-09-17 12:08:45 UTC
The Fedora 12  KVM rpm includes a script for automatically tuning KSM parameters on the fly.

http://www.redhat.com/archives/fedora-virt/2009-September/msg00052.html

Need to evaluate what level of additional manual control might be needed in libvirt itself, if any.

Comment 3 Daniel Veillard 2009-09-21 13:02:34 UTC
Right now there is no specific KSM libvirt support upstream, though there
have been some discussions of memory overcommit control. But there is
nothing available upstream at this point so the feature is at risk for
RHEL 6.0 GA

Daniel

Comment 4 Hugh Brock 2009-12-21 17:17:59 UTC
We are not sure KSM management belongs in libvirt at all. In any case, it is clear that it needs to settle a while longer before we can understand what kind of API it should have.

Comment 6 Hugh Brock 2010-01-21 22:12:53 UTC
Deferred this to 6.1 -- we have not yet defined where the correct interface point is for gray-area services like KSM. Once we have done that it will be obvious whether it should have a libvirt API or the API should fall to some other service.

Comment 7 John Jarvis 2010-01-21 22:16:13 UTC
Removing from 6.0 tracker, adding to 6.1 tracker

Comment 8 IBM Bug Proxy 2010-10-27 16:51:09 UTC
------- Comment From aliguori@us.ibm.com 2010-10-27 12:43 EDT-------
Given the current interfaces provided by KSM, we no longer feel it's necessary to have a libvirt interface to manage KSM.

Comment 9 Daniel Veillard 2010-10-27 16:55:51 UTC
Okidoc,

  thanks !

Daniel

Comment 10 IBM Bug Proxy 2011-03-04 15:32:05 UTC
------- Comment From mcintire@us.ibm.com 2011-03-04 10:24 EDT-------
IBM is quiting this feature request.


Note You need to log in before you can comment on or make changes to this bug.